#! /bin/csh
# Copyright (C) 2019-2021:
#   Max Planck Institut fuer extraterrestrische Physik
#
# This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
# redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA, or see https://www.gnu.org/licenses/.
#

# copies most recent version in ChangeLog to file VERSION
# creates FORTRAN function that returns version and build date
# copies ChangeLog to directory $SASS_DIR/ChangeLogs
# HBrunner 2006-09-06

#echo `grep Version ChangeLog` | awk '{print $2}' > VERSION

set tvers=`cat VERSION`
set pvers=`cat ../../VERSION`
set release=`cat $SASS_ROOT/RELEASE`
set datstr=`date`
set date=`echo $datstr | awk '{print $2, $3, $4, $6}'`

rm -f version.for
echo "      function version()" >> version.for
echo "      character*64 version" >> version.for
echo "      version='v$tvers/$pvers $release $date'" >> version.for
echo "      return" >> version.for
echo "      end" >> version.for

set ctask=`grep TASK: ChangeLog | awk '{print $2}'`
set ctdate=`grep Version ChangeLog | awk '{print $4}'`
set ctdate=`echo $ctdate | awk '{print $1}'`

set cpack=`grep PACKAGE: ChangeLog | awk '{print $2}'`
set cpdate=`grep Version ../../ChangeLog | awk '{print $4}'`
set cpdate=`echo $cpdate | awk '{print $1}'`

#if ( $tvers != "1.0" ) then
#  set ctname="${cpack}_${ctask}_${ctdate}"
#  test -e $SASS_DIR/ChangeLogs/$ctname || cp ChangeLog $SASS_DIR/ChangeLogs/$ctname
#endif
#
#if ( $pvers != "1.0" ) then
#  set cpname="${cpack}_${cpdate}"
#  test -e $SASS_DIR/ChangeLogs/$cpname || cp ../../ChangeLog $SASS_DIR/ChangeLogs/$cpname
#endif




